<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('source', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('url', length: 255);
            $table->string('type', length: 255);
            $table->boolean('active');
            $table->integer('admin_id')->nullable();
            $table->string('format', length: 255);
            $table->string('token', length: 255)->nullable();
            $table->timestamp('last_updated', precision: 0)->nullable();
            $table->json('list_data')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('source');
    }
};
